{% extends "dialog.html" %}
{% load applications_tags %}
{% block modal_id %}planner-modal-reject-application{% endblock %}
{% block header %}
  {% if features.keep_rejected_applications %}
    Reject application?
  {% else %}
    Delete application?
  {% endif %}
{% endblock %}
{% block content %}
  <form method='post'
        action='{% url "application_reject" volunteer_id=volunteer.id %}'
        data-warn-on-leave-if-changed>
    {% csrf_token %}
    {{ block.super }}
  </form>
{% endblock %}
{% block body %}
  {% if not features.keep_rejected_applications %}
    This will <em>permanently and irreversibly</em> delete the application.
    <br />
  {% endif %}
  {{ reject_form }}
{% endblock %}
{% block buttons %}
  {% if features.keep_rejected_applications %}
    <input type="submit"
           name="reject-without-email"
           class="button gap-after"
           value="Reject without email" />
    <input type="submit"
           name="reject-with-email"
           class="button button-primary"
           value="Send & Reject" />
  {% else %}
    <input type="submit"
           name="reject-without-email"
           class="button gap-after"
           value="Delete without email" />
    <input type="submit"
           name="reject-with-email"
           class="button button-primary"
           value="Send & Delete" />
  {% endif %}
{% endblock %}
